function[]=comparegroups(group1a,group2a,group1b,group2b)
% Routine which figures takes two different (row vectors) group assignments for asymmetric model 
% and reports how different they are

%load('ecb_main_50_old.mat', 'Group1', 'Group2')
%load('ecb_main_mro_50_M3_733839', 'Group1', 'Group2')
%load('ecb_main_50_M1_733754', 'Group1', 'Group2')
%group1a=Group1;
%group2a=Group2;
%load('ecb_main_mro_50_M3_733846', 'Group1', 'Group2')
%load('ecb_main_mro_50_M3_733844', 'Group1', 'Group2')
%group1b=Group1;
%group2b=Group2;

%Determine differences in sizes:
disp(['Diff in size of G1 (G1a-G1b): ' num2str(size(group1a,2)-size(group1b,2))])
disp(['Diff in size of G2 (G2a-G2b): ' num2str(size(group2a,2)-size(group2b,2))])
identchanges_a=0;
identchanges_b=0;
for temp=1:size(group1a,2)
    if all(group1b~=group1a(1,temp))
        identchanges_a=identchanges_a+1; %identity dropped out btw G1a and G1b
    end
end
disp(['IDs in G1a, not in G1b: ' num2str(identchanges_a)])
for temp=1:size(group1b,2)
    if all(group1a~=group1b(1,temp))
        identchanges_b=identchanges_b+1; %identity dropped out btw G1b and G1a
    end
end
disp(['IDs in G1b, not in G1a: ' num2str(identchanges_b)])

identchanges_a=0;
identchanges_b=0;
for temp=1:size(group2a,2)
    if all(group2b~=group2a(1,temp))
        identchanges_a=identchanges_a+1; %identity dropped out btw G1a and G1b
    end
end
disp(['IDs in G2a, not in G2b: ' num2str(identchanges_a)])
for temp=1:size(group2b,2)
    if all(group2a~=group2b(1,temp))
        identchanges_b=identchanges_b+1; %identity dropped out btw G1b and G1a
    end
end
disp(['IDs in G2b, not in G2a: ' num2str(identchanges_b)])
