function[allavgmarg,allavgmargstd,avgmarg,allavgmarg_unw,allavgmargstd_unw,avgmarg_unw]=avgmargval(margvalall,data)

%Function 'comparison' computes the unweighted and weighted (by quantity-demands) 
%averages of marginal values, bids, q-demands before and after August 7th,
%2007, by bidder group, overall and for each inividual bidder
% Notice that auction #33 was on 8/14/2007 (20070055) and #32 on 8/7/2007 (20070051).


global aucgroupsize auctions
%load('ecb_data.mat','data')
%load('/home/jakub/matlab_results/Nuno/ecb_main_50_2.mat','margvalall')
%bootdraws=size(margvalall,2);
%auctions=size(margvalall,1);
%pstep=0.005;

% [estim,bidsteps,bidstepscum,pgrid,invbidfunc,span]=dataread(data,0);
% 
% datsize=size(estim);
% 
% %participants in each auction
% auctions=1;
% unqbidders=unique(estim(:,1));
% participants=[0 0]; %1st col: AuctionID, 2nd bidders
% partid=zeros(size(span,1),max(unqbidders)); %entry equals 1 if participating in auction (rows auctions, col bidders)
% for i=1:datsize(1,1)
%     if estim(max(i-1,1),2)~=estim(i,2), auctions=auctions+1; end
%     partid(auctions,estim(i,4))=1;
% end    
% 
% for i=1:auctions
%     submitters=0;
%     for j=1:max(unqbidders)       
%         if partid(i,j)==1
%             submitters=submitters+1;
%         end
%     end        
%     participants(i,:)=[span(i,1) submitters];
% end
% participants(1,3)=participants(1,2);
% for i=2:auctions
%     participants(i,3)=participants(i,2)+participants(i-1,3);
% end
bootdraws=size(margvalall,2);
avgmarg=mat2cell(zeros(auctions/aucgroupsize,bootdraws),auctions/aucgroupsize,bootdraws);
allavgmarg=zeros(auctions/aucgroupsize,bootdraws);
allavgmargstd=zeros(auctions/aucgroupsize,bootdraws);
allavgmarg_unw=zeros(auctions/aucgroupsize,bootdraws);
allavgmargstd_unw=zeros(auctions/aucgroupsize,bootdraws);
avgmarg_unw=mat2cell(zeros(auctions/aucgroupsize,bootdraws),auctions/aucgroupsize,bootdraws);
for auctiongroup=1:auctions/aucgroupsize
    [estim,bidsteps,bidstepscum]=dataread(data,auctiongroup,aucgroupsize);    
    for boot=1:bootdraws
        avgmarg{auctiongroup,boot}=zeros(size(margvalall{auctiongroup,boot},1),1);
        avgmarg_unw{auctiongroup,boot}=zeros(size(margvalall{auctiongroup,boot},1),1);
        for bidder=1:size(margvalall{auctiongroup,boot},1)
            for step=1:bidsteps(bidder,1) 
% This adjustment now done in main file using `margvaladj.m function                
%                 % First replace NaN entries in the margval matrix with the bid (``lower
%                 % bound'' on marginal valuation)
%                 if isnan(margvalall{auctiongroup,boot}(bidder,step))==1
%                     if bidder>1
%                         margvalall{auctiongroup,boot}(bidder,step)=estim(bidstepscum(bidder-1,1)+step,5);
%                     else
%                         margvalall{auctiongroup,boot}(bidder,step)=estim(step,5);
%                     end
%                 end
%                 % Now replace crazy values of marginal values in margval matrix with the bid (``lower
%                 % bound'' on marginal valuation) +200*pstep (one percentage point
%                 % if pstep is half a basis point)
%                 if margvalall{auctiongroup,boot}(bidder,step)>=7
%                     if bidder>1
%                         margvalall{auctiongroup,boot}(bidder,step)=estim(bidstepscum(bidder-1,1)+step,5)+200*pstep;
%                     else
%                         margvalall{auctiongroup,boot}(bidder,step)=estim(step,5)+200*pstep;
%                     end
%                 end  
                % Get quantity-weighted averages of marginal values by bidders in an auction
                % and get the unweighted average
                if bidder>1
                    avgmarg{auctiongroup,boot}(bidder,1)=avgmarg{auctiongroup,boot}(bidder,1)+margvalall{auctiongroup,boot}(bidder,step)*estim(bidstepscum(bidder-1,1)+step,6);
                    avgmarg_unw{auctiongroup,boot}(bidder,1)=avgmarg_unw{auctiongroup,boot}(bidder,1)+margvalall{auctiongroup,boot}(bidder,step);
                else
                    avgmarg{auctiongroup,boot}(bidder,1)=avgmarg{auctiongroup,boot}(bidder,1)+margvalall{auctiongroup,boot}(bidder,step)*estim(step,6);
                    avgmarg_unw{auctiongroup,boot}(bidder,1)=avgmarg_unw{auctiongroup,boot}(bidder,1)+margvalall{auctiongroup,boot}(bidder,step);
                end
            end
            if bidder>1
                avgmarg{auctiongroup,boot}(bidder,1)=avgmarg{auctiongroup,boot}(bidder,1)/estim(bidstepscum(bidder-1,1)+bidsteps(bidder,1),7);
                avgmarg_unw{auctiongroup,boot}(bidder,1)=avgmarg_unw{auctiongroup,boot}(bidder,1)/bidsteps(bidder,1);
            else
                avgmarg{auctiongroup,boot}(bidder,1)=avgmarg{auctiongroup,boot}(bidder,1)/estim(bidsteps(bidder,1),7);
                avgmarg_unw{auctiongroup,boot}(bidder,1)=avgmarg_unw{auctiongroup,boot}(bidder,1)/bidsteps(bidder,1);
            end
        end
        allavgmarg(auctiongroup,boot)=mean(avgmarg{auctiongroup,boot});
        allavgmargstd(auctiongroup,boot)=std(avgmarg{auctiongroup,boot});
        allavgmarg_unw(auctiongroup,boot)=mean(avgmarg_unw{auctiongroup,boot});
        allavgmargstd_unw(auctiongroup,boot)=std(avgmarg_unw{auctiongroup,boot});
    end  
end
