function[margshading,margshading_adj]=marginalshading(shadingall,shadingall_adj,data,agdata)
%let's get the average shading at the marginal steps
global aucgroupsize auctions
%[shadingall_adj,shading_avg_adj]=shading(margvalall_adj,data);
%[shadingall,shading_avg]=shading(margvalall,data);
%find marginal bids (ie bids at market clearing price)
for auctiongroup=1:auctions
    clearprice=agdata(auctiongroup,5);
    [estim,bidsteps,bidstepscum,pgrid,invbidfunc]=dataread(data,auctiongroup,aucgroupsize); 
    datasize=size(invbidfunc);
    marginalstep=zeros(size(shadingall{auctiongroup,1}));
    for bidder=1:datasize(1,1)
        if bidder==1
            startstep=0;
        else
            startstep=bidstepscum(bidder-1,1);
        end
        for step=1:bidsteps(bidder,1)
            if estim(startstep+step,5)+0.001>clearprice && estim(startstep+step,5)-0.001<clearprice
                marginalstep(bidder,step)=1;
            end
        end
    end
    for boot=1:size(shadingall,2)                
        temp=shadingall{auctiongroup,boot};
        temp2=isnan(temp)==1;
        temp(temp2)=0;
        temp=marginalstep.*temp;
        temp=mean(temp(marginalstep>0));
        margshading(auctiongroup,boot)=mean(temp);
        temp=shadingall_adj{auctiongroup,boot};
        temp=marginalstep.*temp;
        temp=mean(temp(marginalstep>0));
        margshading_adj(auctiongroup,boot)=mean(temp);
    end   
end
disp(['Marginal shading pre-turmoil: ' num2str(mean(margshading(1:32,1)))])
disp(['Marginal shading post-turmoil: ' num2str(mean(margshading(33:end,1)))])
disp(['Marginal adjusted shading pre-turmoil: ' num2str(mean(margshading_adj(1:32,1)))])
disp(['Marginal adjusted shading post-turmoil: ' num2str(mean(margshading_adj(33:end,1)))])