
%Data description

% 'rawdata': 1st col: auction ID, 2nd: (marginal) q demanded at step, 3rd: IR bid
% 4th: new bidder ID indicator used to enumerate bidders, 5th: bidder
% identifier constructed using 4th column, 6th: country identifier

% 'agdata': see Nuno's excel file Bidding_Info.xls or variable names
% assigned below

load('nuno.mat','agdata','rawdata','textdata_import','rawdata_import')
%save('nuno.mat','agdata','rawdata','textdata_import','rawdata_import')

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% % this codes actually generated 'rawdata' variable:
% load('nuno.mat','agdata','rawdata','textdata_import','rawdata_import')
% temp1=str2num(cell2mat(textdata_import(2:end,1)));
% %generate country codes:
% codes=cell2mat(textdata_import(2:end,2));
% temp=[1 1];
% temp_cumul=1;
% for i=2:size(codes,1)
%     if codes(i,1)~=codes(i-1,1)
%         temp_cumul=temp_cumul+1;
%         temp(i,1:2)=[1 temp_cumul];       
%     else
%         if codes(i,2)~=codes(i-1,2)
%             temp_cumul=temp_cumul+1;
%             temp(i,1:2)=[1 temp_cumul];            
%         else
%             temp(i,1:2)=[0 temp_cumul];
%         end
%     end
% end
% rawdata=[temp1 rawdata_import(:,[1 2 4 5]) temp(:,2)];
% save('nuno.mat','agdata','rawdata','textdata_import','rawdata_import')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=size(agdata);
maturity=agdata(:,2);
minrate=agdata(:,4);
margrate=agdata(:,5);
allotedatmarginal=agdata(:,6);
totalalloted=agdata(:,7);
avgrate=agdata(:,8);
totalbidamount=agdata(:,9);
nbidders=agdata(:,10);
minratebid=agdata(:,11);
maxratebid=agdata(:,12);
eonia=agdata(:,13);
repo=agdata(:,14);
euribor=agdata(:,15);
turmoil=zeros(n(1,1),1);
turmoil(33:end,1)=1;
const=ones(n(1,1),1);

time=1:1:50;
time=time';

% preliminary regression suggesting something persistent
% happened 2nd week in august (maybe a formal discontiuity test?)
[b,bint,r,rint,stats] = regress(margrate,[const turmoil eonia nbidders]);

% Now we should do some descriptives about behavior of
% individual bidders: what happens to # of steps, spread of bids, spread of
% quantities?

%To use old code, let's prepare data file:
% 1st column: line ID, 2nd: auction ID, 3rd: bidder#, 4th: (bid number) not needed 
%- I will instead save the marginal Q demand here
% 5th: price bid (decreasing order), 6th: marginal quantity SHARE demand at that
% bid; 7th: bid on whose behalf, 8th: time to deadline, 9th: supply for
% sale; 10th: country identifier
data2=1:1:size(rawdata,1);
data2=data2';
data2(:,2)=rawdata(:,1);
data2(:,3)=rawdata(:,5);
data2(:,4)=rawdata(:,2);
data2(:,5)=rawdata(:,3);
data2(:,6)=rawdata(:,2);
data2(:,7)=rawdata(:,5);
data2(:,8)=zeros(size(rawdata,1),1);
for i=1:size(agdata,1)
    data2(data2(:,2)==agdata(i,1),9)=agdata(i,7);
end
data2(:,10)=rawdata(:,6); %country identifier

%Need to correct this as some auctions seem to have zero supply - few
%missing in agdata file!
    data2(data2(:,2)==20070053,9)=371050;
    data2(data2(:,2)==20070090,9)=348607.3;
    data2(data2(:,2)==20070096,9)=20000;
    %data(data(:,2)==20070078,9)=182000;
    datasort=sortrows(data2,[9 2]); %just checking that no auction ID has missing Q
    
    %construct share demands
    data2(:,6)=data2(:,6)./data2(:,9);
    
    %prepare the data file as needed:
    data=sortrows(data2,[2 3 -5]);
    

save('ecb_data.mat','data')